/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { Blob, BufferImplementation, HeadersOption, PlatformImplementation, Response } from '@managed-api/commons-core';
import { GraphQLOperation, OperationField, OperationFields, TypeOptions } from './definitions/typeOptions';
import { ErrorStrategyOption } from './errorStrategy';
import { AssetFields } from './definitions/asset';
import { GetGlobalErrorStrategy } from './index';
import { ComplexityFields, ComplexityOption } from './definitions/complexity';
export declare function errorMessageBuilder(response: Response, reason?: string): Promise<string | undefined>;
export declare const getGraphQLOperation: (operation: string, operationTypeInfo: TypeOptions | undefined, operationFields: OperationFields, operationArguments?: Record<string, any> | undefined, operationFragments?: Record<string, OperationFields | undefined> | undefined, path?: string) => GraphQLOperation;
export declare const constructUploadFilePayload: (mutation: 'add_file_to_update' | 'add_file_to_column', implementation: BufferImplementation, args: {
    update_id?: number;
    item_id?: number;
    column_id?: string;
    file: {
        fileName: string;
        content: string | ArrayBuffer;
    };
}, fields: AssetFields, complexity: ComplexityFields | undefined) => Promise<Blob>;
export declare const createQuery: <R, T, S extends HeadersOption & ErrorStrategyOption & OperationField & ComplexityOption>(options: S, queryName: string, implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy) => Promise<R | T>;
export declare const createMutation: <R, T, S extends HeadersOption & ErrorStrategyOption & OperationField & ComplexityOption>(options: S, mutation: string, implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy) => Promise<R | T>;
export declare const updateHeadersWithVersion: <S extends HeadersOption & ErrorStrategyOption & OperationField>(options: S, version: string) => {
    'API-Version': string;
};
//# sourceMappingURL=common.d.ts.map