import { ColumnFields, ColumnReturnType, SelectColumnReturnType } from './column';
import { OperationFields } from './typeOptions';
export declare type SelectColumnValueReturnType<S extends ColumnValueFields> = {
    [P in keyof S]: P extends 'column' ? Array<SelectColumnReturnType<NonNullable<S['column']>['fields']>> : P extends keyof ColumnValueReturnType ? ColumnValueReturnType[P] : ColumnValueReturnType;
};
export interface ColumnValueFields extends OperationFields {
    /**
     * The column the value belongs to.
     */
    column?: {
        fields: ColumnFields;
    };
    /**
     * The column's unique identifier.
     */
    id?: boolean;
    /**
     * The column's textual value in string form.
     */
    text?: boolean;
    /**
     * The column's type.
     */
    type?: boolean;
    /**
     * The column's value in json format.
     */
    value?: boolean;
}
export interface ColumnValueReturnType {
    /**
     * The column the value belongs to.
     */
    column: ColumnReturnType | null;
    /**
     * The column's unique identifier.
     */
    id: string | null;
    /**
     * The column's textual value in string form.
     */
    text: string;
    /**
     * The column's type.
     */
    type: string | null;
    /**
     * The column's value in json format.
     */
    value: string;
}
//# sourceMappingURL=columnValue.d.ts.map