/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectButtonValueReturnType<S extends ButtonValueFields> = {
    [P in keyof S]: P extends keyof ButtonValueReturnType ? ButtonValueReturnType[P] : ButtonValueReturnType;
};
export interface ButtonValueFields extends ColumnValueFields {
    /**
     * The button's HEX color value.
     */
    color?: boolean;
    /**
     * The button's label.
     */
    label?: boolean;
}
export interface ButtonValueReturnType extends ColumnReturnType {
    /**
     * The button's HEX color value.
     */
    color?: string | null;
    /**
     * The button's label.
     */
    label?: string | null;
}
//# sourceMappingURL=buttonValue.d.ts.map