/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectCheckboxValueReturnType<S extends CheckboxValueFields> = {
    [P in keyof S]: P extends keyof CheckboxValueReturnType ? CheckboxValueReturnType[P] : CheckboxValueReturnType;
};
export interface CheckboxValueFields extends ColumnValueFields {
    /**
     * Returns true if the column is checked.
     */
    checked?: boolean;
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
}
export interface CheckboxValueReturnType extends ColumnReturnType {
    /**
     * Returns true if the column is checked.
     */
    checked?: boolean | null;
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
}
//# sourceMappingURL=checkboxValue.d.ts.map