/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
import { OperationFields } from '../typeOptions';
export declare type SelectCountryValueReturnType<S extends CountryValueFields> = {
    [P in keyof S]: P extends 'country' ? SelectCountryReturnType<NonNullable<S['country']>['fields']> : P extends keyof CountryValueReturnType ? CountryValueReturnType[P] : CountryValueReturnType;
};
export interface CountryValueFields extends ColumnValueFields {
    /**
     * The country's value.
     */
    country?: {
        fields: CountryFields;
    };
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
}
export interface CountryValueReturnType extends ColumnReturnType {
    /**
     * The country's value.
     */
    country?: CountryReturnValue | null;
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
}
export declare type SelectCountryReturnType<S extends CountryFields> = {
    [P in keyof S]: P extends keyof CountryReturnValue ? CountryReturnValue[P] : CountryReturnValue;
};
export interface CountryFields extends OperationFields {
    /**
     * The country's two-letter code.
     */
    code?: boolean;
    /**
     * The country's name.
     */
    name?: boolean;
}
export interface CountryReturnValue {
    /**
     * The country's two-letter code.
     */
    code?: string | null;
    /**
     * The country's name.
     */
    name?: string | null;
}
//# sourceMappingURL=countryValue.d.ts.map