/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
import { FileDocValueFields, FileDocValueReturnType } from './fileValue';
export declare type SelectDocValueReturnType<S extends DocValueFields> = {
    [P in keyof S]: P extends keyof DocValueReturnType ? DocValueReturnType[P] : DocValueReturnType;
};
export interface DocValueFields extends ColumnValueFields {
    /**
     * The column's attached document.
     */
    file?: {
        fields: FileDocValueFields;
    };
}
export interface DocValueReturnType extends ColumnReturnType {
    /**
     * The column's attached document.
     */
    file?: FileDocValueReturnType | null;
}
//# sourceMappingURL=docValue.d.ts.map