/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
import { SelectUserReturnType, UserFields, UserReturnType } from '../user';
export declare type SelectLastUpdatedValueReturnType<S extends LastUpdatedValueFields> = {
    [P in keyof S]: P extends 'updater' ? SelectUserReturnType<NonNullable<S['updater']>['fields']> : P extends keyof LastUpdatedValueReturnType ? LastUpdatedValueReturnType[P] : LastUpdatedValueReturnType;
};
export interface LastUpdatedValueFields extends ColumnValueFields {
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
    /**
     * The user who last updated the item.
     */
    updater?: {
        fields: UserFields;
    };
    /**
     * The unique identifier of the user who last updated the item.
     */
    updater_id?: boolean;
}
export interface LastUpdatedValueReturnType extends ColumnReturnType {
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
    /**
     * The user who last updated the item.
     */
    updater?: UserReturnType | null;
    /**
     * The unique identifier of the user who last updated the item.
     */
    updater_id?: number | null;
}
//# sourceMappingURL=lastUpdatedValue.d.ts.map