/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectLinkValueReturnType<S extends LinkValueFields> = {
    [P in keyof S]: P extends keyof LinkValueReturnType ? LinkValueReturnType[P] : LinkValueReturnType;
};
export interface LinkValueFields extends ColumnValueFields {
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
    /**
     * The column's URL.
     */
    url?: boolean;
    /**
     * The column's URL as text.
     */
    url_text?: boolean;
}
export interface LinkValueReturnType extends ColumnReturnType {
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
    /**
     * The column's URL.
     */
    url?: string | null;
    /**
     * The column's URL as text.
     */
    url_text?: string | null;
}
//# sourceMappingURL=linkValue.d.ts.map