/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectNumbersValueReturnType<S extends NumbersValueFields> = {
    [P in keyof S]: P extends keyof NumbersValueReturnType ? NumbersValueReturnType[P] : NumbersValueReturnType;
};
export interface NumbersValueFields extends ColumnValueFields {
    /**
     * Indicates whether the symbol is placed to the right or left of the number.
     */
    direction?: boolean;
    /**
     * The column's number value.
     */
    number?: boolean;
    /**
     * The symbol of the unit.
     */
    symbol?: boolean;
}
export interface NumbersValueReturnType extends ColumnReturnType {
    /**
     * Indicates whether the symbol is placed to the right or left of the number.
     */
    direction?: 'left' | 'right' | null;
    /**
     * The column's number value.
     */
    number?: string | null;
    /**
     * The symbol of the unit.
     */
    symbol?: string | null;
}
//# sourceMappingURL=numbersValue.d.ts.map