/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectTagsValueReturnType<S extends TagsValueFields> = {
    [P in keyof S]: P extends keyof TagsValueReturnType ? TagsValueReturnType[P] : TagsValueReturnType;
};
export interface TagsValueFields extends ColumnValueFields {
    /**
     * The unique identifiers of the column's tags.
     */
    tag_ids?: boolean;
}
export interface TagsValueReturnType extends ColumnReturnType {
    /**
     * The unique identifiers of the column's tags.
     */
    tag_ids?: number[] | null;
}
//# sourceMappingURL=tagsValue.d.ts.map