/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectTimelineValueReturnType<S extends TimelineValueFields> = {
    [P in keyof S]: P extends keyof TimelineValueReturnType ? TimelineValueReturnType[P] : TimelineValueReturnType;
};
export interface TimelineValueFields extends ColumnValueFields {
    /**
     * The timeline's start date.
     */
    from?: boolean;
    /**
     * The timeline's end date.
     */
    to?: boolean;
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
    /**
     * The timeline's visualization type.
     */
    visualization_string?: boolean;
}
export interface TimelineValueReturnType extends ColumnReturnType {
    /**
     * The timeline's start date.
     */
    from?: string | null;
    /**
     * The timeline's end date.
     */
    to?: string | null;
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
    /**
     * The timeline's visualization type.
     */
    visualization_string?: string | null;
}
//# sourceMappingURL=timelineValue.d.ts.map