/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
import { SelectUserReturnType, UserFields, UserReturnType } from '../user';
export declare type SelectVoteValueReturnType<S extends VoteValueFields> = {
    [P in keyof S]: P extends 'voters' ? Array<SelectUserReturnType<NonNullable<S['voters']>['fields']>> : P extends keyof VoteValueReturnType ? VoteValueReturnType[P] : VoteValueReturnType;
};
export interface VoteValueFields extends ColumnValueFields {
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
    /**
     * The total number of votes.
     */
    vote_count?: boolean;
    /**
     * The unique identifiers of users who voted.
     */
    voter_ids?: boolean;
    /**
     * The users who voted. Please note this field is only available in API versions 2024-04 and later.
     */
    voters?: {
        fields: UserFields;
    };
}
export interface VoteValueReturnType extends ColumnReturnType {
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
    /**
     * The total number of votes.
     */
    vote_count?: number | null;
    /**
     * The unique identifiers of users who voted.
     */
    voter_ids?: number[] | null;
    /**
     * The users who voted. Please note this field is only available in API versions 2024-04 and later.
     */
    voters?: UserReturnType[] | null;
}
//# sourceMappingURL=voteValue.d.ts.map