import { OperationFields } from './typeOptions';
export declare type SelectOutOfOfficeReturnType<S extends OutOfOfficeFields> = {
    [P in keyof S]: P extends keyof OutOfOfficeReturnType ? OutOfOfficeReturnType[P] : OutOfOfficeReturnType;
};
export interface OutOfOfficeFields extends OperationFields {
    /**
     * Is the status active?
     */
    active?: boolean;
    /**
     * Are notification disabled?
     */
    disable_notifications?: boolean;
    /**
     * The status end date.
     */
    end_date?: boolean;
    /**
     * The status start date.
     */
    start_date?: boolean;
    /**
     * Out of office type.
     */
    type?: boolean;
}
export interface OutOfOfficeReturnType {
    /**
     * Is the status active?
     */
    active: boolean | null;
    /**
     * Are notification disabled?
     */
    disable_notifications: boolean | null;
    /**
     * The status end date.
     */
    end_date: string | null;
    /**
     * The status start date.
     */
    start_date: string | null;
    /**
     * Out of office type.
     */
    type: string | null;
}
//# sourceMappingURL=outOfOffice.d.ts.map