import { OperationFields } from './typeOptions';
export declare type SelectPlanReturnType<S extends PlanFields> = {
    [P in keyof S]: P extends keyof PlanReturnType ? PlanReturnType[P] : PlanReturnType;
};
export interface PlanFields extends OperationFields {
    /**
     * The maximum users allowed in the plan.
     */
    max_users?: boolean;
    /**
     * The plan's time period.
     */
    period?: boolean;
    /**
     * The plan's tier.
     */
    tier?: boolean;
    /**
     * The plan's versoin.
     */
    version?: boolean;
}
export interface PlanReturnType {
    /**
     * The maximum users allowed in the plan.
     */
    max_users: number;
    /**
     * The plan's time period.
     */
    period: string | null;
    /**
     * The plan's tier.
     */
    tier: string | null;
    /**
     * The plan's versoin.
     */
    version: number;
}
//# sourceMappingURL=plan.d.ts.map