import { OperationFields } from './typeOptions';
import { UserFields, UserReturnType, SelectUserReturnType } from './user';
export declare type SelectReplyReturnType<S extends ReplyFields> = {
    [P in keyof S]: P extends 'creator' ? SelectUserReturnType<NonNullable<S['creator']>['fields']> : P extends keyof ReplyReturnType ? ReplyReturnType[P] : ReplyReturnType;
};
export interface ReplyFields extends OperationFields {
    /**
     * The reply's html formatted body.
     */
    body?: boolean;
    /**
     * The reply's creation date.
     */
    created_at?: boolean;
    /**
     * The reply's creator.
     */
    creator?: {
        fields: UserFields;
    };
    /**
     * The unique identifier of the reply creator.
     */
    creator_id?: boolean;
    /**
     * The reply's unique identifier.
     */
    id?: boolean;
    /**
     * The reply's text body.
     */
    text_body?: boolean;
    /**
     * The reply's last edit date.
     */
    updated_at?: boolean;
}
export interface ReplyReturnType {
    /**
     * The reply's html formatted body.
     */
    body: string;
    /**
     * The reply's creation date.
     */
    created_at: string | null;
    /**
     * The reply's creator.
     */
    creator: UserReturnType | null;
    /**
     * The unique identifier of the reply creator.
     */
    creator_id: string | null;
    /**
     * The reply's unique identifier.
     */
    id: string;
    /**
     * The reply's text body.
     */
    text_body: string | null;
    /**
     * The reply's last edit date.
     */
    updated_at: string | null;
}
//# sourceMappingURL=reply.d.ts.map