import { ComplexityFields } from './complexity';
export interface OperationArgument {
    required?: boolean;
    type?: string;
    list?: boolean;
    name?: string;
    value: any;
}
export interface OperationField {
    args?: Record<string, any>;
    fields: OperationFields;
    complexity?: ComplexityFields;
    fragments?: Record<string, OperationFields | undefined>;
}
declare type OperationFieldsType = Record<string, OperationField | boolean | undefined>;
export interface OperationFields extends OperationFieldsType {
    __typename?: boolean;
}
export interface GraphQLOperation {
    operation: string;
    variables?: Record<string, OperationArgument>;
    fields: (string | GraphQLOperation)[];
    fragment?: boolean;
}
interface TypeOptionArgument {
    required?: boolean;
    type?: string;
}
declare type TypeOptionArguments = Record<string, TypeOptionArgument>;
interface TypeOption {
    fields?: string;
    args?: TypeOptionArguments;
}
export declare type TypeOptions = Record<string, TypeOption>;
export declare function getVersion(): string;
export declare const MethodTypeOptions: TypeOptions;
export declare const FieldTypeOptions: Record<string, TypeOptions>;
export {};
//# sourceMappingURL=typeOptions.d.ts.map