/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { OperationFields } from './typeOptions';
export declare type SelectVersionReturnType<S extends VersionFields> = {
    [P in keyof S]: P extends keyof VersionReturnType ? VersionReturnType[P] : VersionReturnType;
};
export interface VersionFields extends OperationFields {
    /**
     * The type of API version: stable, deprecated, or preview.
     */
    kind?: boolean;
    /**
     * The API version name as a string.
     */
    value?: boolean;
}
export interface VersionReturnType {
    /**
     * The type of API version: stable, deprecated, or preview.
     */
    kind: VersionKind | null;
    /**
     * The API version name as a string.
     */
    value: string | null;
}
export declare type VersionKind = 'stable' | 'deprecated' | 'preview';
//# sourceMappingURL=version.d.ts.map