/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { HeadersOption } from '@managed-api/commons-core';
import { SelectVersionReturnType, VersionFields, VersionReturnType } from '../definitions/version';
import { ErrorStrategyOption } from '../errorStrategy';
import { ComplexityFields, ComplexityOption, ComplexityReturnType } from '../definitions/complexity';
export interface GetVersionRequest extends HeadersOption, ErrorStrategyOption, ComplexityOption {
    fields: VersionFields;
    complexity?: ComplexityFields;
}
export interface GetVersionResponseOK<S extends GetVersionRequest = GetVersionRequest> {
    data: {
        version: Array<SelectVersionReturnType<S['fields']>>;
        complexity?: ComplexityReturnType;
    };
    account_id: number;
}
export interface GetVersionFullResponseOK {
    data: {
        version: VersionReturnType[];
        complexity?: ComplexityReturnType;
    };
    account_id: number;
}
export interface GetVersionsRequest extends HeadersOption, ErrorStrategyOption, ComplexityOption {
    fields: VersionFields;
    complexity?: ComplexityFields;
}
export interface GetVersionsResponseOK<S extends GetVersionsRequest = GetVersionsRequest> {
    data: {
        versions: Array<SelectVersionReturnType<S['fields']>>;
        complexity?: ComplexityReturnType;
    };
    account_id: number;
}
export interface GetVersionsFullResponseOK {
    data: {
        versions: VersionReturnType[];
        complexity?: ComplexityReturnType;
    };
    account_id: number;
}
//# sourceMappingURL=version.d.ts.map